commit 36db00ecdce06709d7590f338eda7e2e7d96839a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 15 09:40:43 2022 -0700

    smproxy 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f92f80fbb8926d980a6a46c488f7f60a35c9bf9c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 10:41:39 2022 -0700

    CheckFullyQuantifiedName: improve gethostname() handling
    
    Handle errors and use HOST_NAME_MAX for the buffer size if it is
    defined by <limits.h>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5bf2e626a25f0ac1503effbf89c01573392ea658
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 10:15:06 2022 -0700

    CheckFullyQuantifiedName: return unqualified name if alloc fails
    
    Makes a failure to allocate by asprintf() match other failure
    cases and return the unqualified name instead of NULL.
    
    Fixes gcc warning:
    smproxy.c: In function ‘FinishSaveYourself’:
    smproxy.c:269:31: warning: ‘%s’ directive argument is null [-Wformat-truncation=]
                       "rstart-rsh/%s", fullyQuantifiedName);
                                   ^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 88262a274bdd850e14cc27dd3d421182bbc157d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 10:10:23 2022 -0700

    Use calloc instead of malloc to allocate arrays
    
    Most important in ReadProxyFileEntry, if we goto give_up before we
    finish initializing the array, makes sure we don't try to free
    uninitialized pointers during cleanup pass.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c55e2eabe6755b88de9835da8185a52b7712847
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 10:04:12 2022 -0700

    Remove or correct obsolete casts
    
    Bring code up to C89 levels
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5fdd590f9b9a9f5aa3a60e44fe8f010c43f8c54e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 09:49:22 2022 -0700

    NullIceErrorHandler: make arg names match between definition & declaration
    
    Solves cppcheck warning:
    [smproxy.c:73] -> [smproxy.c:448]: (style, inconclusive)
      Function 'NullIceErrorHandler' argument 3 names different:
        declaration 'offendingMinorOpCode' definition 'offendingMinorOpcode'.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f4800d0cfbadf9fc50dddbe2b1eb8d62548d7fe5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 14 09:47:41 2022 -0700

    Reduce variable scopes as suggested by cppcheck
    
    [save.c:203]: (style) The scope of the variable 'i' can be reduced.
    [save.c:457]: (style) The scope of the variable 'i' can be reduced.
    [smproxy.c:101]: (style) The scope of the variable 'i' can be reduced.
    [smproxy.c:1114]: (style) The scope of the variable 'client_window' can be reduced.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f72bea9644450a3492349236a2d57610c7c78bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:05:43 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef7d5344e9d96f4a6632f5a6f353ee809bef1001
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:05:39 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c60568de14fb3953b3cfe42ee32352298572fd8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:57:31 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9c0047416eff09519bfe6a8088817c270f91d0a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 20:49:33 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 94d925a449d5ea22c14ed0261389787a76c026ef
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit d914bd6488ba53f648df442af9e182236cf63983
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eb3eabf9d910270026a2705afca1a8ceb385ea3f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 31b7fe5cc4e3f39f7265800a78a397935163990b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 22:32:22 2015 -0700

    smproxy 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 83e5545ee56d73a0b1b37683397b303371c9256a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 5 17:30:50 2014 -0800

    Remove unneeded checks for X_NOT_POSIX
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c22454c28f44db23370f70719f6d84d92be7f22
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71de8086f5c28016cd8aa2bdf7c473efd71535cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cd8b8001b6b9e11ba27a300cd03d70cab0271bf0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 23:26:31 2013 -0800

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5eb28e5bbb97a1c1faa0d77c85c8d566e3e4fcdf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 23:23:26 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53a484fbd297a03bfbe7d656818c94a4c4b071fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 23:08:06 2013 -0800

    Simplify & unify variants of unique_filename
    
    Variants depend on whether system has mkstemp, mktemp or tempnam
    Also fixes some const char warnings in this code.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d00b208df92061f0049bfcd993ab1f92dc8aa2cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 22:44:06 2013 -0800

    Convert sprintf calls to asprintf or snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d59fe3c0501ec07b725004de86c1a8adac966092
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 22:33:18 2013 -0800

    Add local copy of asprintf()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 747e066281b78909e5c9703f639c0813b14c385f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 22:06:44 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f90cf3021d5c8755963ab5d88d477774cd5bd43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 23 21:56:29 2013 -0800

    Replace #ifdef X_NOT_POSIX with explicit check for mktemp function
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ddbc7f6b08643fb852d98810a1149b09e80e68fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 20:43:37 2011 -0700

    smproxy 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0e4971c8f533c4c166e8e35bf76ebca00f15bc6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri May 6 23:05:44 2011 -0700

    Fix a possible NULL dereference in an error handler
    
    save.c:255:10: warning: Array access (via field 'wm_command') results in a null pointer dereference
                if (entry->wm_command[i])
                    ^      ~~~~~~~~~~
    1 warning generated.
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ccc165063c128713e5eac52ace050e38ce72de02
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 00:18:47 2011 -0800

    Explicitly depend on libICE since ICE functions are called directly
    
    Without this fix, once Bug 33390 removes "Requires: ice" from the sm.pc
    file, smproxy fails to build with undefined symbol errors for
    IceSetErrorHandler, IceConnectionNumber, and IceProcessMessages.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit e2ffb441371eb759c512f8266ae40680518726da
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3472d917add052f35c1c855a5d488ccdadf22122
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96bd42564675ed547f95ae775a2613aaec5a4182
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3b3ad4674cab8186bd6d2afff21f39112173e0c1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 91e461969be0b20b279aa40aa5396cf5635af286
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 21 15:20:45 2010 -0700

    smproxy 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41c20610e433a94633d970100e9aca670395fdb1
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit f8abda9a850e55fd6370e2d314335d88af8b19be
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 21:08:16 2010 -0700

    Use AC_CHECK_FUNCS / default name for mkstemp
    
    No longer need to maintain #ifdef compatibility with the names used in
    the monolith Imakefiles.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 61aef1760a65184ecd438419f5de545e3b3e36fd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 21:04:28 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a728da4185b16978d278afd2b1d0dd7e95b815f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 21:03:37 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a8ab7cce3afea80eddb5ec54e6991fef9625d71
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f26f21272ce70a0dc29ed5cd44c9a1954575b473
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 21 19:52:10 2010 -0700

    Only need the libXmuu subset, not the full libXmu
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d301ff61a51a827faec10fac18cc367fc6635b42
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 16 15:57:22 2010 -0700

    Add smproxy dependency on libSM to PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 779aa7f2e98bf082900a3cc0823c59e66b6e81b6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 21:20:27 2010 -0500

    COPYING: replace stub with actual copyright notices
    
    Refer to smproxy.c.
    Copyright 1994, 1998  The Open Group
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f4ba6a74f35b855fe6ebdfa7c3e40f8368eea57b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit a8b65c49a67a3bdd5253a5afc23bc4c2755e5584
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 408b48eedd458899ef8b642779e513c9cedda6be
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit c181d7fe905cf1c63a12480c811da947d98b0f02
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b0a0c1e5e5e05ac06a7ea44f484fa8fdcf7e999e
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:19 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 170f17b373da6f45db8bce2f0b3cc18b9f05e6bd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 16:32:38 2009 -0700

    smproxy 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit db43f974d4b653cc903dbbc9d22fca0711cf0ee6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:31:59 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6519b61438b36e66a42e44b42fbf6b7f75a450d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:19 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c2514a2a3fb2e01f904d9a0e4b4b50bf24ed316d
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 16:38:49 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit c3f8e7bd4dcb059265ad47152c57305b1ebf1652
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:07 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit c1e12fb138711721d74d9c4accf1c76f1829a411
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:12 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 142c50a44b9bca6ecc2d137a52f3a2d2d18ea753
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:37 2007 -0400

    Rename .cvsignore to .gitignore

commit a712e5b1ac3fba792e2696a52781fee3ac7f2c26
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 00:43:00 2006 +0000

    Bump to 1.0.2

commit 5df8681ca60408ec2b0f2e73930cf34d46474e02
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Feb 3 23:24:37 2006 +0000

    Wrong name in .TH line in smproxy man page.

commit 129d0d20f0fe3b4e2d007b40eb8d18493e72feb5
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:47 2005 +0000

    Update package version for X11R7 release.

commit a24c9fb0dfc98f5e2a1c530b2e5623ca37085e92
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:41 2005 +0000

    Stub COPYING files

commit ca04f02395af13eb7411b6d7a2235441260162ed
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:04 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 8bfee9823e3352b2b891815fb17ac8b4b0b9ec1f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:18 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit c6ddfcb8295f9bd95ff6c10dfc72eb06c1dfebfc
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:17 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 1cda990e2da2c81676263a743148792cdd24bf76
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:39 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit f316c47cd92a8787aa054454b328992ea5a1c335
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:58 2005 +0000

    Another pass at .cvsignores for apps.

commit adf4750e5d0b867f9aebcb9e04f45615c78d564b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:50 2005 +0000

    Add/improve .cvsignore files for apps.

commit 62c0c632565fc25c6af2199fecc1e8cec21beb82
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:50 2005 +0000

    Update package version number for RC1 release.

commit 7154ca09d51094eee67bd38d35ea1a42f0243165
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:20 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 4b08eb40f81ad4ac6f276d91a485e7eb3d690a61
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:42 2005 +0000

    Use sed to fill in variables in man page

commit 8be426eb8e1d2be0264c34bd618a25822055fcc6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:28 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit a1da8fe3444ec4373d823b55d3db4c20f70b813c
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:30 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 1c36f6e6523670598c310ad5cd55e6e3c800ba36
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:50 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 4c13f27d1178fa4c1176686d53c5641addf675b8
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 22:07:13 2005 +0000

    Add #ifdef HAVE_CONFIG_H/#include "config.h" to files that need it to get
        HAS_MKSTEMP defined in modular builds.

commit b3d8e92288c109bec89946ae3d550616dbc8d04c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 21:59:14 2005 +0000

    Define HAS_MKSTEMP if mkstemp() is present (needed for improved protection
        against tempfile race conditions in many places)

commit 05ef9ba24d0b1b5c17e04036d03770a44efd6b78
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Wed Jul 6 17:25:57 2005 +0000

    Build system for smproxy

commit 2935d0350a985e7638cdeaa32b06d935bef2a983
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:37 2004 +0000

    Merging XORG-CURRENT into trunk

commit 5bab1fd41c825d7e89cd7329eead0169640cc3dd
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:56 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit c43c8cfd14136c9486ddf269a0e876c20670848e
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:54 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit ad7fbb2be57bc3aef4b403b3e3341627c98d88b6
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit b3303bf17a8975b4a3f13462cb7b13207a016395
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:57 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 2a637a09ff68246161945821392656492f1fbde1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    XFree86 4.3.0.1

commit f4d5033f594bf278ff1171091219b3c28dc45446
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
